
package de.ivu.elect.presentation.system.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.system.SystemStatusView;

public class SystemStatusMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public SystemStatusMenuItemEntry() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.SYSTEM_STATUS_SEARCH);
  }

  @Override
  public boolean isDisabledInternal() {
    return false;
  }

  @Override
  public String getTargetViewId() {
    return SystemStatusView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "system.status.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconStatus();
  }
}
